Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate.extensions
Class NamedDestination

    java.lang.Object
      org.apache.fop.render.intermediate.extensions.NamedDestination

    public class NamedDestination

extends java.lang.Object

This class is a named destination element for use in the intermediate format.

Constructor Summary
`NamedDestination(java.lang.String name, AbstractAction action)` Creates a new named destination.

Method Summary
`AbstractAction` | `getAction()` Returns the action performed when the destination is selected.
`java.lang.String` | `getName()` Returns the destination's name.
`void` | `setAction(AbstractAction action)` Sets the action performed when the destination is selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedDestination

    public NamedDestination(java.lang.String name,
                            AbstractAction action)

  Creates a new named destination.

  Parameters:
    `name` - the destination's name
    `action` - the action performed when the destination is selected

Method Detail

### getName

    public java.lang.String getName()

  Returns the destination's name.

  Returns:
    the name

### getAction

    public AbstractAction getAction()

  Returns the action performed when the destination is selected.

  Returns:
    the action

### setAction

    public void setAction(AbstractAction action)

  Sets the action performed when the destination is selected.

  Parameters:
    `action` - the action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.